<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.ui.widgets.entry.ProxyDateEntry&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.u.w.e.ProxyDateEntry(<a href="kiwi.utils.PropertyObject.html">PropertyObject</a>, <a href="kiwi.ui.dateentry.DateEntry.html">DateEntry</a>, <a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html">ValidatableProxyWidgetMixin</a>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.ui.html">ui</a>.<a href="kiwi.ui.widgets.html">widgets</a>.<a href="kiwi.ui.widgets.entry.html">entry</a></span>
      
      <a href="classIndex.html#kiwi.ui.widgets.entry.ProxyDateEntry">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div class="undocumented">Undocumented</div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id95">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.widgets.entry.ProxyDateEntry.html#__init__">__init__</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.widgets.entry.ProxyDateEntry.html#do_changed">do_changed</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.widgets.entry.ProxyDateEntry.html#read">read</a></td>
    <td><span>Get the content of the widget.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.widgets.entry.ProxyDateEntry.html#update">update</a></td>
    <td><span>Update the content value of the widget.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.widgets.entry.ProxyDateEntry.html#prop_set_mandatory">prop_set_mandatory</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.widgets.entry.ProxyDateEntry.html#set_valid">set_valid</a></td>
    <td><span>Changes the validation state to valid, which will remove icons and
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.widgets.entry.ProxyDateEntry.html#set_invalid">set_invalid</a></td>
    <td><span>Changes the validation state to invalid.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.widgets.entry.ProxyDateEntry.html#set_blank">set_blank</a></td>
    <td><span>Changes the validation state to blank state, this only applies
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.widgets.entry.ProxyDateEntry.html#get_background">get_background</a></td>
    <td><span>Implement in subclass
</span></td>
  </tr>
  
</table>
      
        <p>
          Inherited from <a href="kiwi.utils.PropertyObject.html">PropertyObject</a>:
        </p>
        <table class="children sortable" id="id96">
  
  
  
  
  <tr class="baseclassmethod">
    
    
    <td>Class Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#__class_init__">__class_init__</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#__post_init__">__post_init__</a></td>
    <td><span>A hook which is called after the constructor is called.
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#_set">_set</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#_get">_get</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#get_attribute_names">get_attribute_names</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#is_default_value">is_default_value</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#do_set_property">do_set_property</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.utils.PropertyObject.html#do_get_property">do_get_property</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
        <p>
          Inherited from <a href="kiwi.ui.dateentry.DateEntry.html">DateEntry</a>:
        </p>
        <table class="children sortable" id="id97">
  
  
  
  
  <tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.dateentry.DateEntry.html#do_grab_focus">do_grab_focus</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.dateentry.DateEntry.html#_on_entry__changed">_on_entry__changed</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.dateentry.DateEntry.html#_on_entry__activate">_on_entry__activate</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.dateentry.DateEntry.html#_on_entry__scroll_event">_on_entry__scroll_event</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.dateentry.DateEntry.html#_on_button__toggled">_on_button__toggled</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.dateentry.DateEntry.html#_on_popup__hide">_on_popup__hide</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.dateentry.DateEntry.html#_on_popup__date_selected">_on_popup__date_selected</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.dateentry.DateEntry.html#_changed">_changed</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.dateentry.DateEntry.html#set_date">set_date</a></td>
    <td><span>Sets the date.
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.dateentry.DateEntry.html#get_date">get_date</a></td>
    <td><span>Get the selected date
</span></td>
  </tr>
  
</table>
      
        <p>
          Inherited from <a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html">ValidatableProxyWidgetMixin</a>:
        </p>
        <table class="children sortable" id="id98">
  
  
  
  
  <tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html#update_background">update_background</a></td>
    <td><span>Implement in subclass
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html#set_pixbuf">set_pixbuf</a></td>
    <td><span>Implement in subclass
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html#get_icon_window">get_icon_window</a></td>
    <td><span>Implement in subclass
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html#set_tooltip">set_tooltip</a></td>
    <td><span>Implement in subclass
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html#is_valid">is_valid</a></td>
    <td><span>Verify the widget state.
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html#validate">validate</a></td>
    <td><span>Checks if the data is valid.
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html#_set_valid_state">_set_valid_state</a></td>
    <td><span>Updates the validation state and emits a signal iff it changed
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html#_draw_stock_icon">_draw_stock_icon</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html#_on_fadeout__color_changed">_on_fadeout__color_changed</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
        <p>
          Inherited from <a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html">ProxyWidgetMixin</a> (via <a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html">ValidatableProxyWidgetMixin</a>):
        </p>
        <table class="children sortable" id="id99">
  
  
  
  
  <tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#prop_set_data_type">prop_set_data_type</a></td>
    <td><span>Set the data type for the widget
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#set_data_format">set_data_format</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#set_options_for_datatype">set_options_for_datatype</a></td>
    <td><span>Set some options to be passed to the datatype converter.
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#_as_string">_as_string</a></td>
    <td><span>Convert a value to a string
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#_from_string">_from_string</a></td>
    <td><span>Convert a string to the data type of the widget
</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.ui.widgets.entry.ProxyDateEntry.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.utils.PropertyObject.html#__init__">kiwi.utils.PropertyObject.__init__</a></div>
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.widgets.entry.ProxyDateEntry.do_changed"></a>
        <a name="do_changed"></a>
        <div class="functionHeader">
        
        def do_changed(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.widgets.entry.ProxyDateEntry.read"></a>
        <a name="read"></a>
        <div class="functionHeader">
        
        def read(self):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#read">kiwi.ui.proxywidget.ProxyWidgetMixin.read</a></div>
          <div>Get the content of the widget. The type of the return value
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Returns</td><td colspan="2">None if the user input a invalid value
 (type: Must matche the data-type property.
)</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.widgets.entry.ProxyDateEntry.update"></a>
        <a name="update"></a>
        <div class="functionHeader">
        
        def update(self, data):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#update">kiwi.ui.proxywidget.ProxyWidgetMixin.update</a></div>
          <div>Update the content value of the widget.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">value</td><td></td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.widgets.entry.ProxyDateEntry.prop_set_mandatory"></a>
        <a name="prop_set_mandatory"></a>
        <div class="functionHeader">
        
        def prop_set_mandatory(self, value):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.widgets.entry.ProxyDateEntry.set_valid"></a>
        <a name="set_valid"></a>
        <div class="functionHeader">
        
        def set_valid(self):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html#set_valid">kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.set_valid</a></div>
          <div>Changes the validation state to valid, which will remove icons and reset
the background color
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.widgets.entry.ProxyDateEntry.set_invalid"></a>
        <a name="set_invalid"></a>
        <div class="functionHeader">
        
        def set_invalid(self, text=None, fade=True):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html#set_invalid">kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.set_invalid</a></div>
          <div>Changes the validation state to invalid.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">text</td><td>text of tooltip of None
</td></tr><tr><td></td><td class="fieldArg">fade</td><td>if we should fade the background
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.widgets.entry.ProxyDateEntry.set_blank"></a>
        <a name="set_blank"></a>
        <div class="functionHeader">
        
        def set_blank(self):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html#set_blank">kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.set_blank</a></div>
          <div>Changes the validation state to blank state, this only applies for 
mandatory widgets, draw an icon and set a tooltip
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.widgets.entry.ProxyDateEntry.get_background"></a>
        <a name="get_background"></a>
        <div class="functionHeader">
        
        def get_background(self):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html#get_background">kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.get_background</a></div>
          <div>Implement in subclass
<table class="fieldTable"></table></div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>